## ros-melodic-lsc-ros-driver 1.0.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(lsc_ros_driver)

find_package(catkin REQUIRED COMPONENTS
  roscpp
  sensor_msgs
  std_msgs
  diagnostic_updater
  self_test
)

catkin_package(
  INCLUDE_DIRS include
  CATKIN_DEPENDS roscpp sensor_msgs std_msgs
)

include_directories(
  include
  ${catkin_INCLUDE_DIRS}
  ${${PROJECT_NAME}/include/}
)

add_executable(lsc_laser_publisher
        src/lsc_laser_publisher.cpp
        src/laser.cpp
        src/parser.cpp
        src/socket.cpp
        )

add_dependencies(lsc_laser_publisher
          ${${PROJECT_NAME}_EXPORTED_TARGETS}
          ${catkin_EXPORTED_TARGETS}
          )

target_link_libraries(lsc_laser_publisher
              ${catkin_LIBRARIES}
              )

=== debian/changelog ===
ros-melodic-lsc-ros-driver (1.0.3-10bionic) bionic; urgency=high

  * fixed #2 cpu usage issue
  * add topic_name parameter

 -- Autonics-lidar <lidar-ros@autonics.com>  Tue, 10 Jan 2023 15:00:00 -0000

ros-melodic-lsc-ros-driver (1.0.2-10bionic) bionic; urgency=high

  * Change pacakge info

 -- Autonics-lidar <lidar-ros@autonics.com>  Mon, 25 Jul 2022 15:00:00 -0000

ros-melodic-lsc-ros-driver (1.0.1-10bionic) bionic; urgency=high

  * Initial release

 -- wkkim <wkkim@autonics.com>  Mon, 18 Jul 2022 15:00:00 -0000

=== debian/control ===
Source: ros-melodic-lsc-ros-driver
Section: misc
Priority: optional
Maintainer: Autonics-lidar <lidar-ros@autonics.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-diagnostic-updater, ros-melodic-roscpp, ros-melodic-self-test, ros-melodic-sensor-msgs, ros-melodic-std-msgs
Homepage: https://wiki.ros.org/lsc_ros_driver
Standards-Version: 3.9.2

Package: ros-melodic-lsc-ros-driver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-roscpp, ros-melodic-sensor-msgs, ros-melodic-std-msgs
Description: ROS driver package for LSC-C Series

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-lsc-ros-driver//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
